Difference between revisions of "Request for Changes-38: update gdal to 2.x version in superbuild"

From OTBWiki
Jump to: navigation, search
([Request for Changes - 35] update gdal to 2.x version in superbuild)
(Implementation details)
Line 22: Line 22:
  
 
=== Implementation details ===
 
=== Implementation details ===
 +
All external drivers whose libraries are not built by SuperBuild are explicitly deactivated. List includes (hdf5, hdf4, netcdf etc..)
  
 
==== Classes and files ====
 
==== Classes and files ====
Line 40: Line 41:
  
 
==== Documentation ====
 
==== Documentation ====
 
  
 
=== Additional notes ===
 
=== Additional notes ===
  
 
N/A
 
N/A

Revision as of 13:59, 17 May 2016

[Request for Changes - 35] update gdal to 2.x version in superbuild

Status

Summary

This RFC propose update of gdal to latest stable release 2.1.0

Rationale

OTB has moved onto GDAL 2.0 and two release has passed. This will give a superbuild gdal with sentinel1 and sentinel2 drivers among all other bug fixes and 2.0 API.

Since 5.2, SuperBuild is used to generate packages. This RFC will affect Linux and Mac OSX binary and development packages.

Implementation details

All external drivers whose libraries are not built by SuperBuild are explicitly deactivated. List includes (hdf5, hdf4, netcdf etc..)

Classes and files

M    SuperBuild/CMake/SuperBuild_Macro.cmake
M    SuperBuild/CMake/External_gdal.cmake
M    SuperBuild/patches/GDAL

Applications

N/A

Tests

test will be made on travis with updated xdk for develop branch.

Documentation

Additional notes

N/A